<app-header></app-header>
<section class="vh-100 bg-image"
  style="background-image: url('https://mdbcdn.b-cdn.net/img/Photos/new-templates/search-box/img4.webp');">
  <div class="mask d-flex align-items-center h-100 gradient-custom-3">
    <div class="container h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12 col-md-9 col-lg-7 col-xl-6">
          <div class="card" style="border-radius: 15px;">
            <div class="card-body p-5">
              <h2 class="text-uppercase text-center mb-5">Create an account</h2>
              <form #user="ngForm" (ngSubmit)="RegisterUser(user.value)">
                <div class="form-outline mb-4">
                  <input type="text" id="form3Example1cg" name="name" required placeholder="Enter Your Name" class="form-control form-control-lg"  ngModel/>
                </div>

                <div class="form-outline mb-4">
                  <input type="email" id="form3Example3cg" name="email" required placeholder="Enter Your Email" class="form-control form-control-lg"  ngModel />
                </div>

                <div class="form-outline mb-4">
                    <input type="text" id="form3Example4cg" name="location" required placeholder="Enter Your Location"  class="form-control form-control-lg" ngModel />
                  </div>

                <div class="form-outline mb-4">
                  <input type="password" id="form3Example4cg" name="password" required placeholder="Enter Your Password"  class="form-control form-control-lg"  ngModel />
                </div>

                <div class="d-flex justify-content-center">
                  <button type="button"
                    class="btn btn-success btn-block btn-lg gradient-custom-4 text-body" type="submit">Register</button>
                </div>
                <p class="text-center text-muted mt-5 mb-0">Have already an account? <a href=""
                    class="fw-bold text-body" routerLink="/login"><u>Login here</u></a></p>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>